aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/test-lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test-lib.sh')
-rw-r--r--test/test-lib.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/test-lib.sh b/test/test-lib.sh
index f67fbd1b..6c9c93eb 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -414,6 +414,24 @@ test_expect_equal ()
fi
}
+test_expect_equal_failure ()
+{
+ test "$#" = 3 && { prereq=$1; shift; } || prereq=
+ test "$#" = 2 ||
+ error "bug in the test script: not 2 or 3 parameters to test_expect_equal"
+
+ output="$1"
+ expected="$2"
+ if ! test_skip "$@"
+ then
+ if [ "$output" = "$expected" ]; then
+ test_known_broken_ok_ "$test_subtest_name"
+ else
+ test_known_broken_failure_ "$test_subtest_name"
+ fi
+ fi
+}
+
NOTMUCH_NEW ()
{
notmuch new | grep -v -E -e '^Processed [0-9]*( total)? file|Found [0-9]* total file'